LIBS = @LIBS@ ../ui-utilcpp/libui-utilcpp.la

scripts = ui-utilcpp-sp2ui
EXTRA_DIST = ${scripts}
bin_SCRIPTS = ${scripts}

bin_PROGRAMS = \
	ui-utilcpp-unittests \
	ui-utilcpp-getopt \
	ui-utilcpp-getopt \
	ui-utilcpp-smlog \
	ui-utilcpp-smlogmono \
	ui-utilcpp-regex \
	ui-utilcpp-cmdline \
	ui-utilcpp-threads \
	ui-utilcpp-filelock \
	ui-utilcpp-echoserver \
	ui-utilcpp-quota \
	ui-utilcpp-recoder \
	ui-utilcpp-wget \
	ui-utilcpp-cap

docdir = $(datadir)/doc/$(PACKAGE)/examples
doc_DATA = GetOpt.cpp SMLog.cpp SMLogMono.cpp Regex.cpp CmdLine.cpp Threads.cpp FileLock.cpp EchoServer.cpp Quota.cpp

ui_utilcpp_unittests_SOURCES = UnitTests.cpp
ui_utilcpp_unittests_LDADD = -lboost_unit_test_framework

ui_utilcpp_getopt_SOURCES = GetOpt.cpp

ui_utilcpp_smlog_SOURCES = SMLog.cpp
ui_utilcpp_smlog_CXXFLAGS = -DSM_LOGFACILITY=ost::Slog::classUser -DSM_LOGLEVEL=7

ui_utilcpp_smlogmono_SOURCES = SMLogMono.cpp
ui_utilcpp_smlogmono_CXXFLAGS = -DSM_LOGLEVEL=7

ui_utilcpp_regex_SOURCES = Regex.cpp

ui_utilcpp_cmdline_SOURCES = CmdLine.cpp

ui_utilcpp_threads_SOURCES = Threads.cpp

ui_utilcpp_filelock_SOURCES = FileLock.cpp

ui_utilcpp_echoserver_SOURCES = EchoServer.cpp

ui_utilcpp_quota_SOURCES = Quota.cpp

ui_utilcpp_recoder_SOURCES = Recoder.cpp

ui_utilcpp_wget_SOURCES = WGet.cpp

ui_utilcpp_cap_SOURCES = Cap.cpp

check-local:
	./ui-utilcpp-unittests
